Subject: bug#35521: closed (Re: bug#35521: Mariadb test suite failures on x86_64-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Jul 2019 21:16:02 +0000

Your bug report

#35521: Mariadb test suite failures on x86_64-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35521: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35521
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35521: Mariadb test suite failures on x86_64-linux
From: Marius Bakke <[email-masked]>
To: Mark H Weaver <[email-masked]>
Cc: Giovanni Biscuolo <[email-masked]>, Platoxia <[email-masked]>, Chris Marusich <[email-masked]>, [email-masked]
Date: Sun, 14 Jul 2019 23:15:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> writes:

> Hi Marius,
>
> Marius wrote:
>> There has been some activity around TokuDB in later versions of MariaDB,
>> maybe we can enable it again with 10.4.  For now, I think we should just
>> disable it.
>
> Disabling TokuDB for now sounds like a fine option.
> Thanks very much for looking into it.

Done in bba7a77ed9ad826bcdc6d9b8a183d66a23229501.

Thanks for reporting the issue.

Thinking forward, to trim the mariadb package, maybe it's possible to
build all plugins as separate derivations, and let the user choose a
union when setting up the service.

Subject: Mariadb test suite failures on x86_64-linux
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Wed, 01 May 2019 05:18:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

hydra.gnunet.org has failed to build mariadb on x86_64-linux
twice in a row:

  https://hydra.gnu.org/build/3475081#tabs-buildsteps

The same test failed both times:

> Failure: Failed 1/5075 tests, 99.98% were successful.
> 
> Failing test(s): tokudb_alter_table.hcad_all_add

The same build also failed twice in a row on my Thinkpad X200, and with
the same error each time, although it's a different error than happens
on hydra.gnunet.org.  On my X200, I get this instead:

> Failure: Failed 1/1091 tests, 99.91% were successful.
> 
> Failing test(s): tokudb_bugs.mdev4533

hydra.gnunet.org successfully built mariadb for i686-linux on its first
attempt:

  https://hydra.gnu.org/build/3473640

Here's the coresponding armhf-linux build, which has not yet been
attempted as I write this:

  https://hydra.gnu.org/build/3481309

       Mark